#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	re2
Version		:	2024.06.01
Release		:	17.0.10.rel%{?dist}
Summary		:	C++ fast alternative to backtracking RE engines

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	BSD
URL		:	http://github.com/google/%{name}/

Source0		:	%{name}-%{version}.tar.gz
#-----------------------------------------------------------------------------
BuildRequires	:	gcc-c++
BuildRequires	:	abseil-cpp-devel
#-----------------------------------------------------------------------------
%description
RE2 is a C++ library providing a fast, safe, thread-friendly alternative to
backtracking regular expression engines like those used in PCRE, Perl, and
Python.
 
Backtracking engines are typically full of features and convenient syntactic
sugar but can be forced into taking exponential amounts of time on even small
inputs.
 
In contrast, RE2 uses automata theory to guarantee that regular expression
searches run in time linear in the size of the input, at the expense of some
missing features (e.g back references and generalized assertions).

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%license LICENSE
%doc README
%{_libdir}/libre2.so.*

#-----------------------------------------------------------------------------
%post
/usr/sbin/ldconfig

%postun
/usr/sbin/ldconfig

#=============================================================================
%package		devel
Summary		:	C++ header files and library symbolic links for %{name}

#-----------------------------------------------------------------------------
Requires	:	%{name} = %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
This package contains the C++ header files and symbolic links to the shared
libraries for %{name}. If you would like to develop programs using %{name},
you will need to install %{name}-devel.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/%{name}/*.h
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}						\
	%{_smp_mflags}					\
        prefix=%{_prefix}				\
        includedir=%{_includedir}			\
	libdir=%{_libdir}				\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}
%{__make} 						\
        prefix=%{_prefix}				\
        includedir=%{_includedir}			\
	libdir=%{_libdir}				\
	DESTDIR="%{buildroot}"				\
	install

#To remove static library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.a					\
	-delete

#=============================================================================
%changelog
